# Generated by Django 2.2.2 on 2019-07-23 18:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestion_projets', '0007_auto_20190720_1727'),
    ]

    operations = [
        migrations.RenameModel(
            old_name='Step',
            new_name='DateDeposit',
        ),
        migrations.CreateModel(
            name='Deposit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField()),
                ('upload', models.FileField(upload_to='uploads/%Y/%m/%d/')),
                ('date_deposit', models.DateField(blank=True, null=True)),
                ('is_valid', models.BooleanField(default=False)),
                ('dateDeposit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.DateDeposit')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gestion_projets.Project')),
            ],
        ),
    ]
